<?php



class VioletprokeyMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.VioletprokeyMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(VioletprokeyPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(VioletprokeyPeer::TABLE_NAME);
		$tMap->setPhpName('Violetprokey');
		$tMap->setClassname('Violetprokey');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('VP_PROKEY', 'VpProkey', 'VARCHAR', true, 15);

		$tMap->addColumn('VP_TYPE', 'VpType', 'TINYINT', true, 1);

	} 
} 